Ask Your Question
0

Actionlib didn't install

asked 2021-07-31 16:56:55 -0500

updated 2021-08-01 02:20:30 -0500

gvdhoorn gravatar image

My machine tried to build a new binary for Actionlib? I don't understand these errors.

sudo apt-get install ros-noetic-actionlib
Reading package lists... Done
Building dependency tree       
Reading state information... Done
ros-noetic-actionlib is already the newest version (1.13.2-1focal.20210423.233703).
ros-noetic-actionlib set to manually installed.
0 upgraded, 0 newly installed, 0 to remove and 59 not upgraded.
2 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Do you want to continue? [Y/n] y
Setting up amdgpu-dkms (1:5.6.0.15-1098277) ...
Removing old amdgpu-5.6.0.15-1098277 DKMS files...

------------------------------
Deleting module version: 5.6.0.15-1098277
completely from the DKMS tree.
------------------------------
Done.
Loading new amdgpu-5.6.0.15-1098277 DKMS files...
Building for 5.8.0-63-generic
Building for architecture x86_64
Building initial module for 5.8.0-63-generic
ERROR: Cannot create report: [Errno 17] File exists: '/var/crash/amdgpu-dkms-firmware.0.crash'
Error! Bad return status for module build on kernel: 5.8.0-63-generic (x86_64)
Consult /var/lib/dkms/amdgpu/5.6.0.15-1098277/build/make.log for more information.
dpkg: error processing package amdgpu-dkms (--configure):
 installed amdgpu-dkms package post-installation script subprocess returned error exit status 10
No apport report written because the error message indicates its a followup error from a previous failure.
                          dpkg: dependency problems prevent configuration of amdgpu:
 amdgpu depends on amdgpu-dkms (= 1:5.6.0.15-1098277); however:
  Package amdgpu-dkms is not configured yet.

dpkg: error processing package amdgpu (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 amdgpu-dkms
 amdgpu
E: Sub-process /usr/bin/dpkg returned an error code (1)
edit retag flag offensive close merge delete

Comments

Seems to have been cross-posted to: ros/actionlib#192.

gvdhoorn gravatar image gvdhoorn  ( 2021-08-17 03:07:57 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
1

answered 2021-08-01 02:22:11 -0500

gvdhoorn gravatar image

actionlib was already installed on your machine:

ros-noetic-actionlib is already the newest version (1.13.2-1focal.20210423.233703)

but there seems to be a problem with another package you installed previously: amdgpu-dkms.

While trying to (re)configure that package, DKMS runs into some issues and that's what prints these errors.

This is not a ROS problem.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2021-07-31 16:56:55 -0500

Seen: 33 times

Last updated: Aug 01